"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.extract_shortest_path_from_predecessor_list = void 0;
function extract_shortest_path_from_predecessor_list(predecessors, dest) {
    const nodes = [];
    let u = dest;
    let predecessor;
    while (u) {
        nodes.push(u);
        predecessor = predecessors[u];
        u = predecessors[u];
    }
    nodes.reverse();
    return nodes;
}
exports.extract_shortest_path_from_predecessor_list = extract_shortest_path_from_predecessor_list;
//# sourceMappingURL=extract-shortest-path-from-predecessor-list.js.map