"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.find_path = void 0;
const extract_shortest_path_from_predecessor_list_1 = require("./extract-shortest-path-from-predecessor-list");
const single_source_shortest_paths_1 = require("./single-source-shortest-paths");
function find_path(graph, start, dest) {
    const predecessors = (0, single_source_shortest_paths_1.single_source_shortest_paths)(graph, start, dest);
    return (0, extract_shortest_path_from_predecessor_list_1.extract_shortest_path_from_predecessor_list)(predecessors, dest);
}
exports.find_path = find_path;
//# sourceMappingURL=find-path.js.map